petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatTransposeColoringCreate

Creates a matrix coloring context for matrix product C=A*B^T.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransposeColoringCreate(Mat mat,ISColoring iscoloring,MatTransposeColoring *color)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix product C Many br
| iscoloring | - the coloring of the matrix; usually obtained with MatColoringCreate() or DMCreateColoring() Many br

### Output Parameter

color -the new coloring context Many br

Many br

### See Also

MatTransposeColoringDestroy(), MatTransposeColoringSetFromOptions(), MatTransColoringApplySpToDen(),
MatTransColoringApplyDenToSp(), MatTransposeColoringView(), Many br

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages